For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all leases
        • GETGet a lease by ID
        • GETGet all Lease Transfers
        • GETGet Lease Transfer by ID
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
Yardi RESTLeases

Get Lease Transfer by ID

GET
/v1/lease-transfers/:lease_transfer_id
GET
/v1/lease-transfers/:lease_transfer_id
$curl https://api.propexo.com/v1/lease-transfers/lease_transfer_id \
> -H "Authorization: Bearer <token>"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": {
12 "id": "clwktsp9v000008l31iv218hn",
13 "created_at": "2024-03-21T15:38:08.337Z",
14 "updated_at": "2024-03-22T10:59:45.119Z",
15 "last_seen": "2024-03-22T10:59:45.119Z",
16 "x_id": "cm2dtyq1600008loze5xgf3fb",
17 "x_property_id": "cm2dtyq1600008loze5xgf3fb",
18 "x_location_id": null,
19 "x_resident_id": "cm2dtyq1600008loze5xgf3fb",
20 "x_lease_id_next": "cm2dtyq1600008loze5xgf3fb",
21 "x_lease_property_id_next": "cm2dtyq1600008loze5xgf3fb",
22 "x_lease_id_previous": "clwqjwc1e000008i7fnrrayzc",
23 "x_lease_property_id_previous": "clwqjwc1e000008i7fnrrayzc",
24 "x_unit_id_next": "cm2dtyq1600008loze5xgf3fb",
25 "x_unit_id_previous": "clwqjwc1e000008i7fnrrayzc",
26 "resident_type": "PRIMARY",
27 "resident_type_raw": "main",
28 "lease_status_next": "ACTIVE",
29 "lease_status_next_raw": "active",
30 "lease_status_previous": "ACTIVE",
31 "lease_status_previous_raw": "active",
32 "transfer_effective_date": "2024-07-01T00:00:00.000Z",
33 "integration_id": "clwh5u07w000508me66sfh3um",
34 "integration_vendor": "YARDI_REST",
35 "property_id": "clwi5xiix000008l6ctdgafyh",
36 "resident_id": "cm2dtyq1600008loze5xgf3fb",
37 "lease_id_next": "cm2dtyq1600008loze5xgf3fb",
38 "lease_id_previous": "clwqjwc1e000008i7fnrrayzc",
39 "unit_id_next": "cm2dtyq1600008loze5xgf3fb",
40 "unit_id_previous": "clwqjwc1e000008i7fnrrayzc"
41 }
42}
Get Lease Transfer by ID
Was this page helpful?
Previous

Get all listings

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

lease_transfer_idstringRequired
The ID of the resource.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

updated_at_gtestring or nullOptional

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_ltestring or nullOptional

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query

Response

Successful response
metaobject
resultsobject

Errors

400
Bad Request Error